For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
    • Home
  • API Reference
        • GETVaccines
        • GETVaccine by Code
        • GETVaccine Categories
        • GETVaccine Funding Types
        • GETVaccine Types
        • GETRoutes of Administration
        • GETAntigens
        • GETAntigen by Code
        • GETCountries
        • GETGenders
        • GETAntenatal Age Range
        • GETMandatory Vaccine Batch
        • GETMandatory Route of Administration
        • GETMandatory Vaccine Type
        • GETMandatory Antenatal Indicator
        • GETAllowable Medical Contraindication
        • GETAllowable Natural Immunity
  • Guides
    • Minor ID Setup
    • Architecture
    • Security & Governance
    • PRODA
    • DVA Integration
    • AIR Integration
    • Integration test data
    • Troubleshooting
LogoLogo
API ReferenceAIRReference Data

Genders

||View as Markdown|
GET
/AIR/v1/refdata/gender
GET
/AIR/v1/refdata/gender
$curl https://api.rebateright.com.au/AIR/v1/refdata/gender \
> -H "x-api-key: <apiKey>"
200All Genders
1{
2 "statusCode": "AIR-I-1100",
3 "codeType": "AIRIBU",
4 "message": "Your request was successfully processed.",
5 "genders": [
6 {
7 "genderCode": "F",
8 "genderDescription": "Female"
9 },
10 {
11 "genderCode": "M",
12 "genderDescription": "Male"
13 },
14 {
15 "genderCode": "",
16 "genderDescription": ""
17 },
18 {
19 "genderCode": "X",
20 "genderDescription": "Non-binary"
21 }
22 ],
23 "correlationId": "urn:uuid:MDE00000450980de740a42b5"
24}

List the AIR gender values accepted on individual records (F Female, M Male, X Non-binary). Empty-string entries are returned for backwards compatibility — submit them only if AIR returns them on an existing individual.

Was this page helpful?
Previous

Countries

Next

Antenatal Age Range

Built with

Authentication

x-api-keystring
API Key authentication via header
x-minor-idstring
API Key authentication via header

Response

OK
statusCodestring
codeTypestring
messagestring
genderslist of objects
correlationIdstring